GET TaskStatusTypeTaskType?taskStatusTypeTaskTypeId={taskStatusTypeTaskTypeId}&taskStatusTypeId={taskStatusTypeId}&taskTypeId={taskTypeId}

Retrieves a companies task status types to task types association. These are read-only.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
taskStatusTypeTaskTypeId

globally unique identifier

Required

taskStatusTypeId

globally unique identifier

Required

taskTypeId

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

On success, a list of task status types and task types associations

NameDescriptionTypeAdditional information
Data

Collection of TaskStatusTypeTaskType

None.

Total

integer

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "Data": [
    {
      "TaskStatusTypeTaskTypeId": "1ae97739-e3c2-44e2-b5ac-d6edd36c2880",
      "CompanyId": "3ed12b8c-6456-413e-ae1e-b0e1f66f9550",
      "TaskStatusTypeId": "998760fc-4a36-40ef-8586-ba58a4ad0b3d",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "34728faa-3051-4eff-b7f4-01ec9ff6d621",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    },
    {
      "TaskStatusTypeTaskTypeId": "1ae97739-e3c2-44e2-b5ac-d6edd36c2880",
      "CompanyId": "3ed12b8c-6456-413e-ae1e-b0e1f66f9550",
      "TaskStatusTypeId": "998760fc-4a36-40ef-8586-ba58a4ad0b3d",
      "TaskStatusTypeName": "sample string 2",
      "SourceSystemId": "sample string 3",
      "TaskTypeId": "34728faa-3051-4eff-b7f4-01ec9ff6d621",
      "TaskTypeName": "sample string 4",
      "Description": "sample string 5"
    }
  ],
  "Total": 1,
  "Message": "sample string 1"
}